@media only screen and (min-width: 580px) {

  /*  NAVBAR CONFIG  */
  h2,
  h3 {
    margin-top: 0;
  }

  .menu {
    justify-content: center;
  }

  .logo {
    flex: 1;
  }

  .logo a img {
    display: none;
  }

  .logo a::before {
    content: "SCOOTS";
  }

  .tg {
    flex: 1;
    text-align: right;
  }

  .item.button {
    width: auto;
    order: 1;
    display: block;
  }

  .toggle {
    order: 2;
  }

  .button.signin {
    border: 0;
  }

  .button a {
    padding: 7.5px 15px;
    font-weight: bold;
    color: #343234;
    border: 1px whitesmoke solid;
    background: #dfc681;
  }

  .button a:hover {
    text-decoration: none;
  }

  .button.signin:hover,
  .button.login:hover {
    text-decoration: none;
    text-decoration-thickness: none;
  }

  .button.login a:hover,
  .button.signin a:hover {
    color: var(--bg-color-body);
    background: var(--font-color-text);
  }

  /*  END NAVBAR CONFIG  */

  /*  HERO BUTTON  */
  .hero a:hover {
    color: var(--font-color-text);
    animation: mylastmove 0.5s;
    animation-fill-mode: both;
  }

  @keyframes mylastmove {
    from {
      background: var(--bg-color-body);
    }

    to {
      background: whitesmoke;
    }
  }

  .hero a {
    position: absolute;
    top: 90%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .hero img.logo {
    display: inherit;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 300px;
    height: auto;
    transform: translate(-50%, -50%);
  }

  /* end hero button*/

  .rental {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 40px;
  }

  .card.el-centro {
    text-align: left;
  }

  .card.puerta-maya {
    text-align: right;
  }

  .card.puerta-maya {
    order: 1;
  }

  .card.puerta-maya h3 {
    text-align: right;
  }

  .facilities img {
    width: 480px;
    height: auto;
  }

  .rental img:hover {
    opacity: 0.4;
  }

  .facilities {
    margin-top: 0px;
  }

  .weather-container h4 span {
    font-size: 1rem;
    margin-left: 10px;
    text-shadow: 0 1px 0 #ccc,
      0 2px 0 #c9c9c9,
      0 3px 0 #bbb,
      0 4px 0 #b9b9b9,
      0 5px 0 #aaa,
      0 6px 1px rgba(0, 0, 0, .1),
      0 0 5px rgba(0, 0, 0, .1),
      0 1px 3px rgba(0, 0, 0, .3),
      0 3px 5px rgba(0, 0, 0, .2),
      0 5px 10px rgba(0, 0, 0, .25),
      0 10px 10px rgba(0, 0, 0, .2),
      0 20px 20px rgba(0, 0, 0, .15);
  }

  #current-temp,
  #current-feel,
  #current-press,
  #weather-hr,
  #weather-desc {
    padding-top: 10px;
    font-size: 15px;
    font-weight: 700;
  }

  #weather-icon {
    width: 50px;
  }

  .containerAPI {
    width: auto;
    flex: 1 4;
  }

  /* contact page*/

  .form img {
    margin-top: 60px;
  }

  .contact-container {
    margin-top: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    grid-auto-rows: auto;
    grid-template-areas:
      "title title"
      "contact-us form-container"
      "contact-us form-container"
      "map map";
  }

  .title {
    grid-area: title;
  }

  .contact-us {
    grid-area: contact-us;

    padding: 40px 20px;
    line-height: 1.5;
    font-size: 1.5rem;
    border-radius: 10px solid;
    box-shadow: 0 4px 8px 0 #f5cd99, 0 6px 10px 0 #462205;
  }

  .form-container {
    grid-area: form-container;
    box-shadow: 0 4px 8px 0 #f5cd99, 0 6px 10px 0 #462205;

  }

  .map {
    grid-area: map;

    margin-top: -20px;
    box-shadow: 0 4px 8px 0 #f5cd99, 0 6px 10px 0 #462205;

  }

  .contact-us h3 {
    margin-bottom: -10px;
    padding-top: 20px;
  }

  .contact-us {
    position: relative;
  }

  .find {
    position: absolute;
    left: 20%;
    bottom: 20%;
  }

  .contact {
    border: none;
    background-size: cover;
    background-image: url(https://sartentooth.github.io/wdd230/scoots/images/bg-contact-tablet.webp);
  }

  .contact-button {
    top: 50%;
    left: 70%;
    transform: translate(-50%, -50%);
  }

  .puerta-maya-branch {
    position: absolute;
    bottom: 15%;
    left: 38%;
  }

  .el-centro-branch {
    position: absolute;
    top: 6%;
    left: 40%;
  }

  .agreements {
    width: max-content;
  }
}